Get several tasks by id
curl --request GET \
--url https://api.doers.sh/v2/tasks/by-id \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.doers.sh/v2/tasks/by-id"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.doers.sh/v2/tasks/by-id', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tasks": [
{
"id": "<string>",
"title": "<string>",
"notes": "<string>",
"status": "open",
"priority": 0,
"when": {
"kind": "today"
},
"deadline": "<string>",
"projectId": "<string>",
"areaId": "<string>",
"headingId": "<string>",
"tags": [
"<string>"
],
"checklist": [
{
"id": "<string>",
"label": "<string>",
"done": true
}
],
"completedAt": 123,
"durationMin": 123,
"kind": "task",
"repeat": {
"every": 183,
"unit": "day",
"mode": "calendar",
"weekdays": [
4
]
},
"visibility": "public",
"order": 123,
"notePath": "<string>",
"conversationPath": "<string>",
"assigneeId": "<string>",
"assignee": {
"id": "<string>",
"username": "<string>",
"name": "<string>",
"email": "<string>",
"image": "<string>"
},
"accessRole": "owner"
}
],
"unavailableTaskIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}Tasks
Get several tasks by id
Resolves several task identifiers in one request, including shared tasks. Identifiers that are missing or inaccessible are returned together as unavailable, without revealing which case applies.
GET
/
v2
/
tasks
/
by-id
Get several tasks by id
Authorizations
A pc_… token generated from Settings > API & MCP.
Query Parameters
Ids of the tasks concerned (50 maximum).
Required array length:
1 - 50 elementsIdentifier of a row.
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$